To clear up any confusion for others that may pick up this thread, my
previous email stated that a patch should not be made to perl sources... I
mistook the details below as implying that each perl module (i.e.
DBD::mysql) be patched for an error in the Config.pm module. In actuality, I
believe, the patch is intended for the perl source itself... My bad.

A demonstration of when to leave things up to those who know what they are
talking about...

C.

On 10/15/03 6:28 PM, "Edward Moy" <[EMAIL PROTECTED]> wrote:

> In hints/darwin.sh, replace
> 
>   *) ld="MACOSX_DEPLOYMENT_TARGET=10.3 ${ld}" ;;
> 
> with
> 
>   *) ld="env MACOSX_DEPLOYMENT_TARGET=10.3 ${ld}" ;;
> 
> Hopefully, this will go into 5.8.2.
> 
> Ed
> 
> On Oct 15, 2003, at 5:05 PM, David Wheeler wrote:
> 
>> On Wednesday, October 15, 2003, at 04:58  PM, Edward Moy wrote:
>> 
>>> We recently discovered the DBD::mysql problem as well.  The patch is
>>> to edit 
>>> /System/Library/Perl/5.8.1/darwin-thread-multi-2level/Config.pm,
>>> replacing:
>>> 
>>> ld='MACOSX_DEPLOYMENT_TARGET=10.3 cc'
>>> 
>>> with
>>> 
>>> ld='env MACOSX_DEPLOYMENT_TARGET=10.3 cc'
>>> 
>>> Unfortunately, this change is too late to get into Panther.
>> 
>> Is there a patch that could go into the Perl sources themselves?
>> 
>> Regards,
>> 
>> David
>> 
>> -- 
>> David Wheeler                                     AIM: dwTheory
>> [EMAIL PROTECTED]                              ICQ: 15726394
>> http://www.kineticode.com/                     Yahoo!: dew7e
>>                                                Jabber:
>> [EMAIL PROTECTED]
>> Kineticode. Setting knowledge in motion.[sm]
>> 
> 

Reply via email to